Bug 38314 - (SCSI AIC7XXX)scsi bus hangs while cdrom driver queries empty drive
(SCSI AIC7XXX)scsi bus hangs while cdrom driver queries empty drive
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-29 14:34 EDT by mwc
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mwc 2001-04-29 14:34:00 EDT
Upgraded from 7.0 (scsi was flawless) to 7.1, and now scsi bus hangs for
minutes at a time, trying to perform an operation on an empty cdrom drive.
System is unusable. Details:

Apr 23 22:07:25 merrimac-dsl kernel: SCSI subsystem driver Revision: 1.00
Apr 23 22:07:25 merrimac-dsl kernel: (scsi0) <Adaptec AHA-294X Ultra SCSI
host adapter> found at PCI 0/9/0
Apr 23 22:07:25 merrimac-dsl kernel: (scsi0) Narrow Channel, SCSI ID=7,
16/255 SCBs
Apr 23 22:07:25 merrimac-dsl kernel: (scsi0) Cables present (Int-50 YES,
Ext-50 NO)
Apr 23 22:07:25 merrimac-dsl kernel: (scsi0) Downloading sequencer code...
436 instructions downloaded
Apr 23 22:07:25 merrimac-dsl kernel: scsi0 : Adaptec AHA274x/284x/294x
(EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
Apr 23 22:07:25 merrimac-dsl kernel:        <Adaptec AHA-294X Ultra SCSI
host adapter>
Apr 23 22:07:25 merrimac-dsl kernel:   Vendor: SEAGATE   Model:
ST32155N          Rev: 0532
Apr 23 22:07:25 merrimac-dsl kernel:   Type:  
Direct-Access                      ANSI SCSI revision: 02
Apr 23 22:07:25 merrimac-dsl kernel:   Vendor: HP        Model:
HP35470A          Rev: T503
Apr 23 22:07:25 merrimac-dsl kernel:   Type:  
Sequential-Access                  ANSI SCSI revision: 02
Apr 23 22:07:25 merrimac-dsl kernel:   Vendor: TEAC      Model: CD-ROM
CD-56S     Rev: 1.0D
Apr 23 22:07:25 merrimac-dsl kernel:   Type:  
CD-ROM                             ANSI SCSI revision: 02
Apr 23 22:07:25 merrimac-dsl kernel:   Vendor: SEAGATE   Model:
ST19171N          Rev: 0024
Apr 23 22:07:25 merrimac-dsl kernel:   Type:  
Direct-Access                      ANSI SCSI revision: 02
Apr 23 22:07:25 merrimac-dsl kernel: Attached scsi disk sda at scsi0,
channel 0, id 0, lun 0
Apr 23 22:07:25 merrimac-dsl kernel: Attached scsi disk sdb at scsi0,
channel 0, id 3, lun 0
Apr 23 22:07:25 merrimac-dsl kernel: (scsi0:0:0:0) Synchronous at 20.0
Mbyte/sec, offset 15.
Apr 23 22:07:25 merrimac-dsl kernel: SCSI device sda: 4197405 512-byte hdwr
sectors (2149 MB)
Apr 23 22:07:25 merrimac-dsl kernel: Partition check:
Apr 23 22:07:25 merrimac-dsl kernel:  sda: sda1 sda2 < sda5 sda6 sda7 sda8
sda9 >
Apr 23 22:07:25 merrimac-dsl kernel: (scsi0:0:3:0) Synchronous at 20.0
Mbyte/sec, offset 15.
Apr 23 22:07:25 merrimac-dsl kernel: SCSI device sdb: 17783112 512-byte
hdwr sectors (9105 MB)
Apr 23 22:07:25 merrimac-dsl kernel:  sdb: sdb1 sdb2 < sdb5 sdb6 sdb7 >

later, same session;

Apr 24 06:57:46 merrimac-dsl kernel: Attached scsi CD-ROM sr0 at scsi0,
channel 0, id 2, lun 0
Apr 24 06:57:46 merrimac-dsl kernel: (scsi0:0:2:0) Synchronous at 10.0
Mbyte/sec, offset 8.
Apr 24 06:57:46 merrimac-dsl kernel: sr0: scsi-1 drive
Apr 24 06:57:46 merrimac-dsl kernel: Uniform CD-ROM driver Revision: 3.12
Apr 24 06:58:01 merrimac-dsl kernel: usb_control/bulk_msg: timeout
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 2b ee 97 00 00 02
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 00 c0 4d 00 00 02
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 00 c2 2d 00 00 0e
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 01 80 61 00 00 02
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 01 80 7f 00 00 02
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 02 00 4d 00 00 04
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 02 40 d1 00 00 02
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 02 c0 55 00 00 02
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 00 40 5d 00 00 02
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 00 40 61 00 00 02
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 00 80 7f 00 00 02
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 0c 2f 00 00 00 08
00
Apr 24 06:58:46 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 14 2b e8 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 14 2c e0 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 14 2d 48 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 14 2d e0 00 00 10
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 14 30 08 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 1c 2b e8 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 1c 2e 78 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 1c 2e 90 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 20 2c 28 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 20 2c 90 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 20 2e f0 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 20 30 20 00 00 08
00
Apr 24 06:58:47 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 0, lun 0 Write (10) 00 00 2a 6c 6f 00 00 02
00
Apr 24 06:59:59 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 2, lun 0 Prevent/Allow Medium Removal 00 00
00 00 00
Apr 24 07:00:34 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 2, lun 0 Read TOC 00 00 00 00 00 00 00 0c 00
Apr 24 07:01:12 merrimac-dsl kernel: scsi : aborting command due to timeout
: pid 0, scsi0, channel 0, id 2, lun 0 Read TOC 00 00 00 00 00 00 00 0c 00
Apr 24 07:01:12 merrimac-dsl kernel: (scsi0:0:2:0) SCSISIGI 0xe6, SEQADDR
0x18b, SSTAT0 0x7, SSTAT1 0x3
Apr 24 07:01:12 merrimac-dsl kernel: (scsi0:0:2:0) SG_CACHEPTR 0x0, SSTAT2
0x0, STCNT 0x0
Comment 1 Bugzilla owner 2004-09-30 11:38:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.